/*
    Earth.java
    Program to display rotating earth
    By Roger T. Stevens  4-5-99
*/
package j3d.examples.appearance.texture;

import com.sun.j3d.utils.applet.MainFrame;
import j3d.utils.BasicUniverse;
import j3d.utils.Utils;
import utils.ResourceManager;

import javax.media.j3d.BranchGroup;
import javax.media.j3d.Canvas3D;
import java.applet.Applet;
import java.awt.*;
import java.io.File;

import futils.Futil;

public class SpinningEarth extends Applet {

    public SpinningEarth() {
        Canvas3D c = Utils.getCanvas3D(this);
        add(c, BorderLayout.CENTER);
        ResourceManager rm = ResourceManager.getResourceManager();
        File f = rm.getImageFile("drdiffracto.gif");
        BranchGroup bg = Utils.getTextureSphere(2, 0, 0, f);
        BasicUniverse u = new BasicUniverse(c, 10);
        u.addBranchGraph(bg);
    }

    public static void main(String[] args) {
        new MainFrame(new SpinningEarth(), 200, 200);
    }
}
