package net.rmi.rjs.fc.ssinstaller;

import gui.JInfoFrame;
import utils.OsUtils;

public class Main{

	protected static JInfoFrame jif;
	
	public static void main(String[] args) {

	    jif = new JInfoFrame();
    	jif.setSize(200, 200);
		jif.println("Screen Saver:");
		jif.println("Launching Installer");
		install();
		jif.setVisible(true);
 }

public static void install(){
	String result = "";
	if (OsUtils.isWindows()){
		SSWindowsInstaller ssWin = new SSWindowsInstaller();
		result = ssWin.install();
		jif.println(ssWin.getProgress());
		if (result!= "")
		{
			jif.println(result);
		} 
	}
	else if (OsUtils.isLinux()){
		SSUnixInstaller ssUnix = new SSUnixInstaller();
		result = ssUnix.install();
		jif.println(ssUnix.getProgress());
		if (result!= "")
		{
			jif.println(result);
		}
	}
	else{
		jif.println("Operating System = " + OsUtils.getOsName() + " not yet supported");
	}

}
	
}